| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Contents | Index
Graphics.Rendering.OpenGL.GL.PixelRectangles.Rasterization |
Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Description
This module corresponds to a part of section 3.6.4 (Rasterization of Pixel Rectangles) of the OpenGL 2.1 specs.
Documentation
data PixelData a
Constructors
PixelData PixelFormat DataType (Ptr a) |
Instances
Eq (PixelData a) |
Ord (PixelData a) |
Show (PixelData a) |
data PixelFormat
Constructors
ColorIndex |
StencilIndex |
DepthComponent |
Red |
Green |
Blue |
Alpha |
RGB |
RGBA |
Luminance |
LuminanceAlpha |
ABGR |
BGR |
BGRA |
CMYK |
CMYKA |
FourTwoTwo |
FourTwoTwoRev |
FourTwoTwoAverage |
FourTwoTwoRevAverage |
YCBCR422 |
DepthStencil |
Instances
Eq PixelFormat |
Ord PixelFormat |
Show PixelFormat |
drawPixels :: Size -> PixelData a -> IO ()
pixelZoom :: StateVar (GLfloat, GLfloat)
Produced by Haddock version 2.7.2